Page MenuHomePhabricator

[FPEnv] [Clang] Enable constrained FP support for PowerPC
ClosedPublic

Authored by qiucf on Sep 6 2020, 10:57 PM.

Details

Summary

D80952 introduced HasStrictFP to disable generating constrained FP operations for platforms lacking support. Since work for enabling constrained FP on PowerPC is almost done, we'd like to enable it.

Diff Detail

Event Timeline

qiucf created this revision.Sep 6 2020, 10:57 PM
qiucf requested review of this revision.Sep 6 2020, 10:57 PM
kpn added a comment.Sep 8 2020, 8:41 AM

Over in D80952 there was a comment from @steven.zhang: "Agree that we can turn on it later when it is done." But your comment here is that it is "almost done".

Is it fair to say that the PowerPC work is at _parity_ with X86 and SystemZ? I think that's a better cutover point than "done".

qiucf added a comment.Sep 10 2020, 3:10 AM
In D87223#2261086, @kpn wrote:

Over in D80952 there was a comment from @steven.zhang: "Agree that we can turn on it later when it is done." But your comment here is that it is "almost done".

Is it fair to say that the PowerPC work is at _parity_ with X86 and SystemZ? I think that's a better cutover point than "done".

Yes, we've disabled the FP mutation in rG6afb2791. vector-constrained-fp-intrinsics.ll is also aligned with X86 & SystemZ.

kpn added a comment.Sep 10 2020, 7:09 AM
In D87223#2261086, @kpn wrote:

Over in D80952 there was a comment from @steven.zhang: "Agree that we can turn on it later when it is done." But your comment here is that it is "almost done".

Is it fair to say that the PowerPC work is at _parity_ with X86 and SystemZ? I think that's a better cutover point than "done".

Yes, we've disabled the FP mutation in rG6afb2791. vector-constrained-fp-intrinsics.ll is also aligned with X86 & SystemZ.

Ok, LGTM. Please wait a few days in case anyone else has any comments.

steven.zhang accepted this revision.Sep 10 2020, 5:40 PM

LGTM as far as you have verified the bmk, bootstrap with strict-fp enabled.

This revision is now accepted and ready to land.Sep 10 2020, 5:40 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptSep 11 2020, 9:40 AM
Herald added a subscriber: cfe-commits. · View Herald Transcript